OfficeGest
Utils/Parameters

Get whitelisted parameters

Returns allowed runtime parameters used by mobile/integrations.

GET
/utils/parameters
AuthorizationBearer <token>

In: header

Query Parameters

param?string

Legacy compatibility parameter. When provided, endpoint returns empty payload.

Response Body

curl -X GET "https://og-tenant1.test:8003/api/v2/utils/parameters?param=string"
{
  "data": {
    "fs_conversionamountfa": "string",
    "fs_conversionamountfacf": "string",
    "cashnumberbase": "string",
    "defaultbankcode": "string",
    "defaultcashbankcode": "string",
    "defaultcurrencycode": "string",
    "countrydefaultcode": "string",
    "salefinalclient": "string",
    "defaultstore": "string",
    "documenttype_order": "string",
    "documenttype_budget": "string",
    "documenttype_creditnote": "string",
    "gdpr_regulation_type": "string",
    "appmobile_workshop_status": "string",
    "gdpr_regulation_html": "string"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}